Bug 1315278 - Incremental update using cli does not update systems when --update-all-systems=true is passed
Summary: Incremental update using cli does not update systems when --update-all-system...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management
Version: 6.1.6
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1304886 1323726
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-07 11:59 UTC by Brad Buckingham
Modified: 2019-04-01 20:26 UTC (History)
7 users (show)

Fixed In Version: rubygem-katello-3.0.0.15-1,gofer-2.7.6-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1304886
Environment:
Last Closed: 2016-07-27 09:26:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Foreman Issue Tracker 14336 None None None 2016-04-22 17:01:00 UTC
Red Hat Bugzilla 1323726 None None None Never

Internal Links: 1323726

Comment 3 Justin Sherrill 2016-03-23 20:43:23 UTC
Created redmine issue http://projects.theforeman.org/issues/14336 from this bug

Comment 4 Bryan Kearney 2016-03-31 20:06:43 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/14336 has been closed
-------------
Justin Sherrill
Applied in changeset commit:katello|d826df47b47bd90cdbecf44545d1c4d8c4958058.

Comment 5 sthirugn@redhat.com 2016-04-11 20:20:36 UTC
Failed in satellite-6.2.0-7.0.beta.el7sat.noarch due to https://bugzilla.redhat.com/show_bug.cgi?id=1323726

hammer> content-view version incremental-update --content-view-version-id=3 --errata-ids=b272b0c4-25cc-4204-bfe1-39de76e6e9ba --update-all-hosts=true --lifecycle-environment-ids=2
[....................................................................      ] [92%]

Comment 6 Mike McCune 2016-04-14 05:04:02 UTC
POST as reflected from the fix found here:


https://bugzilla.redhat.com/show_bug.cgi?id=1323726

Comment 8 jcallaha 2016-04-25 15:17:48 UTC
Verified in Satellite 6.2 Beta Snap 9 Compose 1.

[root@rhsm-qe-1 ~]# hammer content-view version incremental-update --content-view-version-id 70 --update-all-hosts true --lifecycle-environment-ids 1 --errata-ids 318fb337-1d0c-4305-a8e9-dd6788608799
[....................................................................................................................................................................................] [100%]
Content View: beta version 4.1
Added Content:
  Errata:
        RHBA-2016:0178
  Packages:
        cyrus-sasl-2.1.26-20.el7_2.i686
        cyrus-sasl-2.1.26-20.el7_2.x86_64
        cyrus-sasl-devel-2.1.26-20.el7_2.i686
        cyrus-sasl-devel-2.1.26-20.el7_2.x86_64
        cyrus-sasl-gssapi-2.1.26-20.el7_2.i686
        cyrus-sasl-gssapi-2.1.26-20.el7_2.x86_64
        cyrus-sasl-lib-2.1.26-20.el7_2.i686
        cyrus-sasl-lib-2.1.26-20.el7_2.x86_64
        cyrus-sasl-md5-2.1.26-20.el7_2.i686
        cyrus-sasl-md5-2.1.26-20.el7_2.x86_64
        cyrus-sasl-plain-2.1.26-20.el7_2.i686
        cyrus-sasl-plain-2.1.26-20.el7_2.x86_64
        cyrus-sasl-scram-2.1.26-20.el7_2.i686
        cyrus-sasl-scram-2.1.26-20.el7_2.x86_64

Comment 10 errata-xmlrpc 2016-07-27 09:26:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.